For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • POSTCreate organization
        • GETList organization relation types
        • GETList organization verification types
        • GETOrganization details
        • DELDelete organization
        • PATCHUpdate organization
        • GETList an organization's events
        • GETList organization contacts
        • POSTCreate a contact
        • GETContact details
        • DELDelete a contact
        • PATCHUpdate a contact
LogoLogo
Request featuresContact support
API ReferenceOrganization

Create a contact

POST
https://cdn.emnify.net/api/v1/organisation/:org_id/contact
POST
/api/v1/organisation/:org_id/contact
$curl -X POST https://cdn.emnify.net/api/v1/organisation/org_id/contact \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": {
> "id": 1
> },
> "name": "Marc Muller",
> "title": "Ing",
> "department": "Sales",
> "street": "1st street",
> "zipcode": "10224",
> "city": "Berlin",
> "country": {
> "id": 1
> },
> "email": "user@domain.com",
> "phone": "+497 554 776 653",
> "mobile": "+497 554 776 653"
>}'
201Created
1{}
Creates the specified contact. <Warning> ID and `organisation_id` must not be specified, neither in query string, nor in JSON payload. </Warning>
Was this page helpful?
Previous

List organization contacts

Next

Contact details

Built with

Creates the specified contact.

ID and organisation_id must not be specified, neither in query string, nor in JSON payload.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_idstringRequired

Request

This endpoint expects an object.
typeobjectRequired
namestringOptional
titlestringOptional
departmentstringOptional
streetstringOptional
zipcodestringOptional
citystringOptional
countryobjectOptional
emailstringOptional
phonestringOptional
mobilestringOptional
statestringOptional
secondary_addressstringOptional
purchase_order_numberstringOptional
Can only be set for invoice contacts

Response